import csv


def write_result_to(file_name, results):
    """Write list with results (from one experiment) to specified file
    :param file_name: file name for writing results
    :result: results (list) for one experiment
    """
    with open(file_name, 'w+', newline='') as res_file:
        res_writer = csv.writer(res_file, delimiter=',', quotechar='|', quoting=csv.QUOTE_NONE)
        for row in results:
            res_writer.writerow(row)


def write_cv_results_to(file_name, results):
    """Write list with results from cross-validation to specified file
    :param file_name: file name for writing results
    :param results: results (list of lists) for cross-validation
    """
    with open(file_name, 'w+', newline='') as res_file:
        res_writer = csv.writer(res_file, delimiter=',', quotechar='|', quoting=csv.QUOTE_NONE)
        for ind, cv_res in enumerate(results, 1):
            for row in cv_res:
                res_writer.writerow([ind] + row)
